<?php
/**
 * @package linea21.modules
 * @subpackage sdi
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

//////////// Check Inclusion de pages //////////// 
if (!function_exists('AuthenthificationProcess')){ 
include_once("../lib/lib_common.php");
ReloadIndex('admin');
}
////////////

include_once("../lib/lib_common.php"); 
$link_det=$rub_link."&amp;todo=det&amp;id="; 
$link_det2=$rub_link."&todo=det&id="; 
$link_sup=$rub_link."&amp;todo=sup&amp;id=";
$link_mod=$rub_link."&amp;todo=mod&amp;id=";

	if(!isset($_GET['id']) && !isset($_POST['id'])) {
	$id="1";
} else {
	if(isset($_POST['id']))	$id=$_POST['id'];
	if(isset($_GET['id']))	$id=$_GET['id'];
}

if(isset($_POST['valider'])) {
	$id=$_POST['id'];
	$sdi_object= new sdi;
	$link_confirm="confirm.php?rub=".$rub."&todo=".$todo;
	
			$result=$sdi_object->DeleteSdi($id, $sql_object);
			if($result) header("Location: ".$link_confirm);
			else  system_error();
		}
		
$sdi_object= new sdi;
//$data_sdii=$sdi_object->GetInfoSdi($id, $sql_object);

$req_sdii=SQL_getInfoSdi($id);
$data_sdii = $sql_object -> DBSelect($req_sdii);


$navtitle=_t('sdi','sup')." : ".$data_sdii[0]['sdii_name'];
$req_allsditheme=SQL_getAllsditheme($data_sdii[0]['sdii_theme']) ;
$result_Allsditheme=$sql_object->DBSelect($req_allsditheme);
$theme_test=$result_Allsditheme[0]['countsdi'];
?>
<div id="chemin">
	<ul>
		<li>
			<a href="index.php" class="chemin_home"><? echo _t('way','home') ?></a>
		</li>
		<li>
			   <a href="<?php echo $rub_link; ?>" id="chemin_<? echo $rub; ?>" class="chemin_rub"><? echo _t('menu','sdi')?></a>
		</li>
		<li>
			<span><? echo formatnavTitle($navtitle) ; ?></span>
		</li>
	</ul>
</div>
  <!--end barre haute -->
<?php
include_once(THEME_ADMIN_PATH."quickicons.php");
?>
<div class="contentcontainer">
<?php
include_once($dir."/menurub.php");
?>
<div id="content">
<?php
if(isset($integrity) && is_string($integrity)) display_errors($integrity);
?>
<h2><? echo formatTitleh2($data_sdii[0]['sdii_name']); ?></h2>	

 <form id="supyp" action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
	  <div class="info" id="truetransfert1">
   <? echo _t('sdi','sup_sdi_warning'); ?>

    </div>   
	<div class="info" id="truetransfert1">
   <? echo _t('sdi','sup_sdi_warning2'); ?>

    </div> 
	<? if ($theme_test==1) {    
	   ?>
	   <br />
	<div class="info" id="truetransfert1">
   <? echo _t('sdi','sup_sdi_warning3'); ?>

    </div> 
	<? } ?>
	
		<div>
		<input name="id" type="hidden" value="<?php echo $id; ?>" />
		<input name="rub" type="hidden" value="<?php echo $rub; ?>" id="rub" />
		<input name="todo" type="hidden" value="<?php echo $todo; ?>" id="todo" />
			<br />
				<? echo cancel_button($link_det2.$id); ?>
				<input name="valider" type="submit" value="<? echo _t('btn','valid') ?>" class="button" id="valider" />
		</div>
		</form>
		<br />
</div>
<?php include_once($dir."/help.php"); ?>
</div>
